Description

Currently the Activity tab has, on the right side, the ability to select which items have their activity shown.

The suggestion is to add a (simple) filtering capability like that used to show Gantt charts. Y could then select a specific user, choose

which activities to see and then see a filtered list of activities.

This makes it easier to monitor project participation by user.

FYI - I work for an engineering school and we would like to be able to track our student's activity to measure / monitor their progress.

thank you!

Mark

History

#1 - 2010-05-09 10:41 - Felix Schäfer

- Category changed from Projects to UI

While this is a workaround, you can already see the activity of a user over the whole redmine by going to the user's page and click on the Activity link

on top of the right half of the content pane, this will take to the user's activity page (here's mine for example).

If you need this on a per-project base, you can also get it, although it's not quite as straightforward. Notice the user_id=3866 at the end of the

example URL above? If you take that part and add it to the activity URL of a project, you will see the user's activity for this project (note: user_id=3866

is an option, you will need to put ?user_id=3866 at the end of the activity URL if it's the only option or &user_id=3866 if there already are other

options). Here my activity page for the redmine project without other options and with other options.

#2 - 2010-05-10 22:43 - Mark Anderson

Felix - thank you for correcting the category.

I had read the code and figured out the ?user_id=XXXX aspect - but I had never been to a "users page" before and so did not know how to get there!

I now see that on the project's starting page I have the list of users for that project and can then click on each in turn. That would work in terms of

accessing the info.

I tried that and unfortunately we only see activity for the most recent (too short) period. For school, we'd want to be able to "browse" back through a

student's activity from "now" to the start of the semester.

I think this is the right idea - we just need the ability to keep scrolling back in time - perhaps just a "previous" & "next" set of buttons on the

/account/show/ID page to jump back and forth in time would be enough. Much simpler than what I had initially envisioned.

Mark

#3 - 2010-05-10 22:43 - Mark Anderson

I should add - THIS may be within my skill set! I'll take a closer look at the code.

#4 - 2010-05-10 23:39 - Felix Schäfer

Just click on the Activity title on the user's page and you will see a paginated list of the user's activity :-)

#5 - 2010-05-12 02:51 - Mark Anderson

Felix - I can see the activity list - but its not paginated. A set of previous / next links would appear to still be needed.
www.redmine.org/activity?from=2010-05-09&user_id=3866
www.redmine.org/projects/redmine/activity?user_id=3866
www.redmine.org/projects/redmine/activity?show_issues=1&show_changesets=1&show_news=1&show_wiki_edits=1&show_messages=1&user_id=3866


#6 - 2010-05-12 09:14 - Felix Schäfer

There really are pagination links at the bottom of the page, mine for example is here, that's what I get when I click on the Activity title/link dead center

on my user page :-) If you don't have pagination links, it may be because the pagination only shows a week's worth of activity each time and the

user's not been there for that long, but IIRC the pagination will still be there and it will only show no activity for previous weeks.

#7 - 2010-06-18 21:27 - Mark Anderson

- Status changed from New to Resolved

- % Done changed from 0 to 100

Felix,

sorry for the delay.

I finally re-read your postings and realized I had missed a key detail in your update #4! I had not noticed to click on the title word Activity and so could

not figure out how to navigate to the page you had linked for me! Now that I see it, I believe that what already exists covers what I had been looking

for though through a different path! I am taking the liberty of closing this (Resolved/100%).

Thank you for your patience with me!

Mark

#8 - 2010-06-18 21:28 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Always happy to help :-)

#9 - 2011-10-25 12:49 - Bryon Ginn
http://www.redmine.org/activity?from=2010-05-12&user_id=3866
https://www.redmine.org/issues/4
